package com.example.mynotepad.MenuFeatures.AllNotes.DataBase;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;
@Entity
public class DateEntity {
    @PrimaryKey(autoGenerate = true)
    int ID;
    @ColumnInfo(name = "date")
    String date ;
    @ColumnInfo(name = "description")
    String description;
    @ColumnInfo(name = "archived")
    boolean isarchived;

    public DateEntity(String date , String description , boolean isarchived){
        this.date = date;
        this.description = description;
        this.isarchived = isarchived;
    }


    public int getID() {
        return ID;
    }

    public String getDate() {
        return date;
    }

    public String getDescription() {
        return description;
    }

    public boolean isarchived(){
        return isarchived;
    }
}